#pragma once
#include "JObject_NetSDK.h"
NS_NETSDK_CFG_BEGIN

#define JK_EncodeInfo "EncodeInfo" 
class EncodeInfo : public JObject
{
public:
	JIntHex			CompressionMask;		///< 掩码
	JBoolObj		Enable;					///< 使能项
	JBoolObj		HaveAudio;				///< 是否支持音频
	JIntHex			ResolutionMask;			///< 掩码
	JStrObj			StreamType;				///< 码流类型

public:
	EncodeInfo(JObject *pParent = NULL, const char *szName = JK_EncodeInfo):
	JObject(pParent,szName),
	CompressionMask(this, "CompressionMask"),
	Enable(this, "Enable"),
	HaveAudio(this, "HaveAudio"),
	ResolutionMask(this, "ResolutionMask"),
	StreamType(this, "StreamType"){
	};

	~EncodeInfo(void){};
};

NS_NETSDK_CFG_END